Skip to main content
GET
/
api
/
v1
/
customer
/
payment-methods
/
{paymentMethodId}
Get Payment Method
curl --request GET \
  --url https://api.example.com/api/v1/customer/payment-methods/{paymentMethodId} \
  --header 'Authorization: Bearer <token>'
{
  "paymentMethodId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "externalProvider": "<string>",
  "externalProviderId": "<string>",
  "card": {
    "brand": "<string>",
    "last4": "<string>"
  },
  "isDefault": true,
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

paymentMethodId
string<uuid>
required

Payment method identifier

Example:

"f1a2b3c4-d5e6-7890-abcd-ef1234567890"

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

Método de pagamento disponível para um customer, projetado a partir do gateway

paymentMethodId
string<uuid>
required

Identificador único

customerId
string<uuid>
required

Customer dono do método

externalProvider
string | null
required

Nome do provedor de pagamento, quando aplicável

externalProviderId
string | null
required

ID do método no provedor, quando houver método salvo

type
enum<string>
required

Tipo do método

Available options:
CASH,
PIX,
CREDIT_CARD,
DEBIT_CARD
card
object | null
required

Dados do cartão, quando o tipo for cartão

isDefault
boolean
required

Indica se é o método padrão do customer

createdBy
string<uuid> | null
required

Usuário que criou o registro, quando aplicável

createdAt
string<date-time>
required

Data de criação

updatedBy
string<uuid> | null
required

Usuário que fez a última atualização, quando aplicável

updatedAt
string<date-time>
required

Data da última atualização